Skip to main content
GET
List customer appointments

Query Parameters

page
number
default:1

Page number for pagination

Required range: x >= 1
Example:

1

take
number
default:50

Number of items to return per page. Maximum allowed value is 100.

Required range: 1 <= x <= 100
Example:

50

status
enum<string>[]

List of appointment status types to filter by

Available options:
pending,
scheduled,
completed,
canceled
Example:
staffMembers
string[]

List of staff member IDs to filter by

Example:
products
string[]

List of product/service IDs to filter by

Example:
locations
string[]

List of location IDs to filter by

Example:
date
string

Date to filter appointments by in YYYY-MM-DD format

Pattern: \d{4}\-(0[1-9]|1[012])\-(0[1-9]|[12][0-9]|3[01])
Example:

"2025-06-08"

orderBy
enum<string>

Field to order the results by

Available options:
from,
to,
productId,
staffMemberId,
customerId,
createdAt
Example:

"from"

order
enum<string>
default:ASC

Sort direction

Available options:
ASC,
DESC
Example:

"DESC"

limit
number

Number of items per page

Response

200 - application/json

Collection of customer appointments

data
object[]
required
meta
object
required
Last modified on July 26, 2026